Answer the subscription request notification
Be invoked by the Health Information User (HIU) to respond to notifications received from the /subscription-requests/hiu/notify API.
By using this API, the HIU can acknowledge and process the subscription request notifications, ensuring that the system accurately reflects the status and actions taken. This functionality is essential for maintaining the integrity and synchronization of subscription requests, supporting efficient and transparent health information exchange within the healthcare ecosystem. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Suffix of the consent manager to which the request was intended The status of the subscription request. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$": The subscription request id. This should be from the subscription request. Allows alphanumeric characters and special characters like "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}$" The error code and message, if any occurred. ABDM-1001 - No data found. May be returned either bare ( The appropriate error message Request id that was passed. Allows alphanumeric characters and special characters like "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}" Bad Request The error code and message, if any occurred. ABDM-1015 - Invalid Response. May be returned either bare ( Unauthorized 900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Internal Server Error The error code and message, if any occurred. Service Unavailable ABDM-1024 - Dependent service unavailable. May be returned either bare (Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredBody
acknowledgementobjectRequiredacknowledgement.statusstringRequiredacknowledgement.subscriptionRequestIdstringRequirederrorobjecterror.codestringRequiredABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.error.messagestringRequiredresponseobjectRequiredresponse.requestIdstringResponses
400errorobjecterror.codestringRequiredABDM-1015) or with a trailing ": " separator (ABDM-1015: ); match on the code itself and tolerate the separator.error.messagestringRequired401codestringmessagestringdescriptionstring500timestampnumberRequiredpathstringRequiredstatusintegerRequirederrorstringRequiredrequestIdstringRequired503codestringRequiredABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.messagestringRequired
Callbacks
- You make this call in reply to This is a callback api when a subscription request is approved or denied., which ABDM posts to
/api/v3/hiu/subscription-requests/hiu/notify. Open the callback.